Skip to content

Files

urlscan Pro - Downloaded files

Download a file

Request

urlscan Pro - Download a file by SHA256 hash. For the ZIP files delivered by this endpoint, the default encryption password is urlscan! - including the trailing exclamation mark. The ZIP file contains a single file named after the SHA256 of the requested file.

Security
apikeyAuth(Required scopes: readwrite)
Path
fileHashstringrequired

SHA256 hash of file

Query
passwordstring

The password to use to encrypt the ZIP file. Using a password is mandatory, the default password is urlscan!

Default:"urlscan!"
filenamestring

Specify the name of the ZIP file that should be downloaded. This does not change the name of files within the ZIP archive. The default filename is $fileHash.zip

Default:"$fileHash.zip"
GET
/downloads/{fileHash}
curl -i -X GET \
  'https://urlscan.io/downloads/{fileHash}?password=urlscan!&filename=%24fileHash.zip' \
  -H 'api-key: YOUR_API_KEY_HERE'

Responses

OK

Bodyapplication/zip
string, (binary)
Response
string